All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Class DataSelectionToCalculatedItemListAdapter

    com.sas.dataselectors.calculateditems.DataSelectionToCalculatedItemListAdapter

All Implemented Interfaces:
  CalculatedItemListInterface, CalculatedItemListV2Interface, CalculatedItemMetadataInterface

Deprecated. Created on Dec 12, 2002

    public class DataSelectionToCalculatedItemListAdapter

Description: Copyright: Copyright (c) 2002 Company: SAS

Nested Class Summary

Nested classes/interfaces inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemListAdapter
`BaseCalculatedItemListAdapter.InnerListOfCalculatedItems`

Field Summary

Fields inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemListAdapter
`_calculatedItemList, _description, _name, _objectFactory, _selectionIndex, RB_KEY`

Constructor Summary
`DataSelectionToCalculatedItemListAdapter(com.sas.iquery.metadata.business.DataSelection selection)` Deprecated.

Method Summary
`java.lang.Object` | `getTimeHierarchy()` Deprecated.
`boolean` | `isTimeDimensionPresent()` Deprecated. Returns if a time dimension is present in the query

Methods inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemListAdapter
`addCalculatedItem, canRemoveAllCalculatedItems, clearSelectionCursor, commitChanges, getBusinessDataSourceTree, getCalculatedItemList, getDataSourceTree, getDescription, getFormatAdapter, getFunctionListTree, getLevelHasMembers, getLevelNameMap, getLevelNames, getLocale, getMaxLengthOfItemName, getMaxOutputObservations, getMeasureNameMap, getMeasureNames, getMemberNames, getName, getOperationList, getPhysicalDataSourceTree, getPromptDataSourceTree, getSelectedCalculatedItem, getSelectionCount, getSelectionCursor, isCalculatedItemSelected, newCalculatedItem, newCalculatedItem, removeAllCalculatedItems, removeSelectedCalculatedItem, setDescription, setLocale, setMaxOutputObservations, setName, setSelectionCursor, updateSelectedCalculatedItem`

Constructor Detail

### DataSelectionToCalculatedItemListAdapter

    public DataSelectionToCalculatedItemListAdapter(com.sas.iquery.metadata.business.DataSelection selection)

  Deprecated.

  Constructs an adapter with the specified DataSelection.

  Parameters:
    `selection` - is a data selection to which the calculated item is to be associated.

Method Detail

### isTimeDimensionPresent

    public boolean isTimeDimensionPresent()

  Deprecated.
  Description copied from interface: `CalculatedItemListV2Interface`
  Returns if a time dimension is present in the query

  Specified by:
    `isTimeDimensionPresent` in interface `CalculatedItemListV2Interface`
  Overrides:
    `isTimeDimensionPresent` in class `BaseCalculatedItemListAdapter`
  Returns:
    true if time dimension calculations can be performed

### getTimeHierarchy

    public java.lang.Object getTimeHierarchy()

  Deprecated.
  Specified by:
    `getTimeHierarchy` in interface `CalculatedItemListV2Interface`
  Overrides:
    `getTimeHierarchy` in class `BaseCalculatedItemListAdapter`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.